package com.tmerclub.cloud.user.vo.mongo;

import io.swagger.v3.oas.annotations.media.Schema;
import org.springframework.data.mongodb.core.mapping.Document;

/**
 * @author TRACK
 */
@Document("user_score_log")
public class MongoScoreUserManagerVO {

    @Schema(description = "用户id")
    private Long userId;

    @Schema(description = "累积积分")
    private Long sumScore;

    public MongoScoreUserManagerVO() {
        this.sumScore = 0L;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getSumScore() {
        return sumScore;
    }

    public void setSumScore(Long sumScore) {
        this.sumScore = sumScore;
    }

    @Override
    public String toString() {
        return "MongoScoreUserManagerVO{" +
                "userId=" + userId +
                ", sumScore=" + sumScore +
                '}';
    }
}
